lazybios

使用bundler管理多版本的Gem

有了rbenv来管理多版本的ruby环境,我们还需要一个能管理多版本gem(比如rails)的工具,那就是bundler了,项目背景不细说了,需要了解的直接到官网,这里只讲一些实际使用经验

安装

gem install bundler

使用


mkdir app1; cd app1;
echo "source 'https://ruby.taobao.org/'" > Gemfile
echo "gem 'rails,'4.1.0'" >> Gemfile
bundle install

上面代码在app1下安装了rails 4.1.0,使用bundle exec rails -v查看当前目录下使用的rails版本,显示内容应该为Rails 4.1.0,同样此时通过bundle exec rails new . --force覆盖原来Gemfile,此时的app使用的rails版本为4.1.0


mkdir app2; cd app2;
echo "source 'https://ruby.taobao.org/'" > Gemfile
echo "gem 'rails,'3.2.13'" >> Gemfile
bundle install

上面代码创建了第二个app2文件夹,并通过bundler安装了rails 3.2.13 同样通过bundle exec rails new . --force可以生成基于rails 3.2.13版本的应用

安装了以上两个版本后,通过gem list --local可以看到rails有两个版本,显示为rails (4.1.0, 3.2.13),bundler会智能的判断每个项目的rails版本,以确保应用的正确运行,但前提是通过使用bundle exec命令来执行原来得命令,例如:


bundle exec rails s
bundle exec rake db:create
...

-完-

微信关注「日拱一卒」公众号